Subject: Re: linux-next: build failure after merge of the final tree (kvm tree related)

From: Avi Kivity <[email-masked]>
Date: Mon, 28 Feb 2011 11:36:56 +0200

On 02/28/2011 04:28 AM, Huang Ying wrote:
> Hi, Avi and Marcelo,
>
> On Mon, 2011-02-28 at 10:15 +0800, Stephen Rothwell wrote:
> >  Hi All,
> >
> >  On Mon, 21 Feb 2011 17:56:58 +1100 Stephen Rothwell<[email-masked]>  wrote:
> >  >
> >  >  After merging the final tree, today's linux-next build (sparc64 defconfig)
> >  >  failed like this:
> >  >
> >  >  mm/memory.c: In function '__get_user_pages':
> >  >  mm/memory.c:1584: error: 'EHWPOISON' undeclared (first use in this function)
> >  >
> >  >  Caused by commit b1c4f2836370f5c8207d4c61e91c93bd6a4ce27a ("mm: make
> >  >  __get_user_pages return -EHWPOISON for HWPOISON page optionally") from
> >  >  the kvm tree.
> >  >
> >  >  Not all architectures use include/asm-generic/errno.h ...
> >  >
> >  >  I have reverted that commit (and commits
> >  >  d47b742c5661385b927c03188549b2d2004b80f4 "KVM: Replace
> >  >  is_hwpoison_address with __get_user_pages" and
> >  >  eef8839430b72deac59e9ec51eb56c44512fcc66 "mm: remove is_hwpoison_address"
> >  >  which depend on it) for today.
> >
> >  I am still doing those reverts ...
>
> Can you merge the fixes following the email into my original EHWPOISON
> patch to check if that fixes linux-next issue?
>

I folded this into the original patch, will show up in next linux-next.

-- 
error compiling committee.c: too many arguments to function